nuxt.js 在ie11以下包含ie11无法正常运行 怎么解决?
发布于 3 个月前 作者 yuquanH 860 次浏览 来自 问答

目前暂定是babal的问题 请问如何配置nuxt的babel? 求大神帮帮!image.png

1 回复

在nuxt.config.js中进行配置,这种问题,就是浏览器无法识别ES6的语法,需要使用babal将其转化为ES5语法,具体配置如下:

build: { /* ** Run ESLint on save */ analyze:true, analyze:{ analyzerMode:‘static’ }, vendor:[‘axios’,‘iview’], extend(config, { isDev, isClient }) { if (isDev && isClient) { config.entry[‘polyfill’] = [‘babel-polyfill’]; config.module.rules.push({ enforce: ‘pre’, test: /.(js|vue)$/, loader: ‘eslint-loader’, exclude: /(node_modules)/ }) } } },

回到顶部